%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-cinder
Version:        9.5.0
Release:        4%{?dist}
Summary:        Puppet module for OpenStack Cinder
License:        Apache-2.0

URL:            https://launchpad.net/puppet-cinder

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Add-support-for-Cinder-NAS-secure-driver-params.patch
Patch0002: 0002-Dell-SC-Add-exclude_domain_ip-option.patch
Patch0003: 0003-Dell-SC-Add-secondary-DSM-support.patch
Patch0004: 0004-Read-os_region_name-from-cinder.conf-when-doing-requ.patch
Patch0005: 0005-Always-set-keymgr_api_class.patch
Patch0006: 0006-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0007: 0007-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-rabbitmq
Requires:       puppet-oslo
Requires:       puppet-openstacklib
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Cinder

%prep
%setup -q -n openstack-cinder-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder/



%files
%{_datadir}/openstack-puppet/modules/cinder/


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.5.0-4
- Run puppet-openstack-beaker-jobs
- [newton] Add Puppet package to bindep, for module build

* Tue Oct 24 2017 Steve Linabery <slinaber@redhat.com> 9.5.0-3
- Always set keymgr_api_class
- Read os_region_name from cinder.conf when doing requests with the Openstack client

* Fri Jul 14 2017 Alan Bishop <abishop@redhat.com> 9.5.0-2
- Add support for Cinder "NAS secure" driver params (rhbz#1433404)
- Dell SC: Add exclude_domain_ip option (rhbz#1440290)
- Dell SC: Add secondary DSM support (rhbz#1440290)

* Mon Feb 13 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1421854)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.1-3
- Added retries for db_sync (lp#1645474, lp#1628580)

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 9.4.1-2
- Update default volume driver on emc_vnx backend
- Deprecate iscsi_ip_address, as it is not used

* Wed Oct 05 2016 Alan Pevec <alan.pevec@redhat.com> 9.4.1-1
- Update to 9.4.1

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0
